ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Maarten Coene <maarten_co...@yahoo.com.INVALID>
Subject Re: [VOTE] Adopt Java8 as Baseline for 1.10 on master Branch
Date Tue, 22 Mar 2016 14:13:30 GMT
I'd prefer moving to Java6, since there are still companies using Java6 or Java7.Is Java8 really
required to implement some of the new features?The more JDK's we support, the more people
can make use of Ant!

However, since I'm not that active in the Ant development, I won't block the vote for this:-0
Maarten


      Van: Stefan Bodewig <bodewig@apache.org>
 Aan: dev@ant.apache.org 
 Verzonden: dinsdag 22 maart 13:11 2016
 Onderwerp: [VOTE] Adopt Java8 as Baseline for 1.10 on master Branch
   
Hi all

after the recent discussion, I'd like to propose the following:

* create a branch 1.9.x that we use for Java5 compatible maintenance
  releases - with Jenkins Matrix Builds, of course.

* change the version number of the master branch to 1.10.0alpha
  (-SNAPSHOT, whatever) and make Java8 the new baseline for that - with
  Gump and Jenkins Matrix Builds for Java8 (and 9 once it becomes
  available).

Please cast your votes, will be open for about three days.

Cheers

        Stefan

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org



  
Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message